NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAE.FaceFromBoundaryBuilder Class Reference

Builder for creating Polygon Face by boundary More...

Inheritance diagram for NXOpen.CAE.FaceFromBoundaryBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddSelectedPointPairs ()
 Designate the join of the first and second pt by a straight edge (joining the ends of open loop segments). More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.CAE.SelectCAEEdgeList EdgeSelection [get]
 Returns the polygon edge selection to create a face from boundary More...
 
unsafe NXOpen.Point FirstPtSelect [get, set]
 Returns or sets the first pt to join the ends of open edges in the loop. More...
 
unsafe NXOpen.CAE.SelectCAEBody PolygonBodySelection [get]
 Returns the polygon body selection to assign the newly created face More...
 
unsafe NXOpen.Point SecondPtSelect [get, set]
 Returns or sets the second pt to join the ends of open edges in the loop. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for creating Polygon Face by boundary

To create a new instance of this class, use NXOpen.CAE.AbstractionManager.CreateFaceFromBoundaryBuilder

Created in NX8.5.0

Member Function Documentation

unsafe void NXOpen.CAE.FaceFromBoundaryBuilder.AddSelectedPointPairs ( )
inline

Designate the join of the first and second pt by a straight edge (joining the ends of open loop segments).

Created in NX8.5.0

License requirements: None.

Property Documentation

unsafe NXOpen.CAE.SelectCAEEdgeList NXOpen.CAE.FaceFromBoundaryBuilder.EdgeSelection
get

Returns the polygon edge selection to create a face from boundary

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Point NXOpen.CAE.FaceFromBoundaryBuilder.FirstPtSelect
getset

Returns or sets the first pt to join the ends of open edges in the loop.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CAE.SelectCAEBody NXOpen.CAE.FaceFromBoundaryBuilder.PolygonBodySelection
get

Returns the polygon body selection to assign the newly created face

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Point NXOpen.CAE.FaceFromBoundaryBuilder.SecondPtSelect
getset

Returns or sets the second pt to join the ends of open edges in the loop.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.